Package com.evopdf

# Class RgbColor

java.lang.Object
com.evopdf.RgbColor

public class RgbColor extends Object
Represents a RGB color

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final RgbColor`
  `ALICE_BLUE`
  The predefined alice blue color
  `static final RgbColor`
  `ANTIQUE_WHITE`
  The predefined antique white color
  `static final RgbColor`
  `BEIGE`
  The predefined beige color
  `static final RgbColor`
  `BLACK`
  The predefined black color
  `static final RgbColor`
  `BLUE`
  The predefined blue color
  `static final RgbColor`
  `CORAL`
  The predefined coral color
  `static final RgbColor`
  `DARK_GREEN`
  The predefined dark green color
  `static final RgbColor`
  `EMPTY`
  The predefined null color
  `static final RgbColor`
  `GRAY`
  The predefined gray color
  `static final RgbColor`
  `GREEN`
  The predefined green color
  `static final RgbColor`
  `INDIGO`
  The predefined indigo color
  `static final RgbColor`
  `LIGHT_CYAN`
  The predefined light cyan color
  `static final RgbColor`
  `LIGHT_GRAY`
  The predefined light gray color
  `static final RgbColor`
  `LIGHT_GREEN`
  The predefined light green color
  `static final RgbColor`
  `MISTY_ROSE`
  The predefined misty rose color
  `static final RgbColor`
  `NAVY`
  The predefined navy color
  `static final RgbColor`
  `ORANGE`
  The predefined orange color
  `static final RgbColor`
  `PINK`
  The predefined pink color
  `static final RgbColor`
  `PURPLE`
  The predefined purple color
  `static final RgbColor`
  `RED`
  The predefined red color
  `static final RgbColor`
  `VIOLET`
  The predefined violet color
  `static final RgbColor`
  `WHITE`
  The predefined white color
  `static final RgbColor`
  `WHITE_SMOKE`
  The predefined white smoke color
  `static final RgbColor`
  `YELLOW`
  The predefined yellow color

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RgbColor(int r, int g, int b)`
  Constructs a RGB color from components

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `b()`
  Gets the blue component of the color
  `int`
  `g()`
  Gets the green component of the color
  `int`
  `r()`
  Gets the red component of the color
  `void`
  `setB(int blue)`
  Sets the blue component of the color
  `void`
  `setG(int green)`
  Sets the green component of the color
  `void`
  `setR(int red)`
  Sets the red component of the color

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RED

    public static final RgbColor RED
    The predefined red color

  - ### GREEN

    public static final RgbColor GREEN
    The predefined green color

  - ### BLUE

    public static final RgbColor BLUE
    The predefined blue color

  - ### WHITE

    public static final RgbColor WHITE
    The predefined white color

  - ### BLACK

    public static final RgbColor BLACK
    The predefined black color

  - ### YELLOW

    public static final RgbColor YELLOW
    The predefined yellow color

  - ### ORANGE

    public static final RgbColor ORANGE
    The predefined orange color

  - ### INDIGO

    public static final RgbColor INDIGO
    The predefined indigo color

  - ### VIOLET

    public static final RgbColor VIOLET
    The predefined violet color

  - ### PINK

    public static final RgbColor PINK
    The predefined pink color

  - ### PURPLE

    public static final RgbColor PURPLE
    The predefined purple color

  - ### GRAY

    public static final RgbColor GRAY
    The predefined gray color

  - ### WHITE_SMOKE

    public static final RgbColor WHITE_SMOKE
    The predefined white smoke color

  - ### ALICE_BLUE

    public static final RgbColor ALICE_BLUE
    The predefined alice blue color

  - ### NAVY

    public static final RgbColor NAVY
    The predefined navy color

  - ### BEIGE

    public static final RgbColor BEIGE
    The predefined beige color

  - ### MISTY_ROSE

    public static final RgbColor MISTY_ROSE
    The predefined misty rose color

  - ### ANTIQUE_WHITE

    public static final RgbColor ANTIQUE_WHITE
    The predefined antique white color

  - ### LIGHT_CYAN

    public static final RgbColor LIGHT_CYAN
    The predefined light cyan color

  - ### DARK_GREEN

    public static final RgbColor DARK_GREEN
    The predefined dark green color

  - ### CORAL

    public static final RgbColor CORAL
    The predefined coral color

  - ### LIGHT_GREEN

    public static final RgbColor LIGHT_GREEN
    The predefined light green color

  - ### LIGHT_GRAY

    public static final RgbColor LIGHT_GRAY
    The predefined light gray color

  - ### EMPTY

    public static final RgbColor EMPTY
    The predefined null color

- ## Constructor Details

  - ### RgbColor

    public RgbColor(int r, int g, int b)
    Constructs a RGB color from components
    Parameters:
      `r` - the red component of the color
      `g` - the green component of the color
      `b` - the blue component of the color

- ## Method Details

  - ### r

    public int r()
    Gets the red component of the color
    Returns:
      the red component of the color

  - ### setR

    public void setR(int red)
    Sets the red component of the color
    Parameters:
      `red` - the red component of the color

  - ### g

    public int g()
    Gets the green component of the color
    Returns:
      the green component of the color

  - ### setG

    public void setG(int green)
    Sets the green component of the color
    Parameters:
      `green` - the green component of the color

  - ### b

    public int b()
    Gets the blue component of the color
    Returns:
      the blue component of the color

  - ### setB

    public void setB(int blue)
    Sets the blue component of the color
    Parameters:
      `blue` - the blue component of the color